%define name	libradio
%define version	0.14.1
%define release 1mdk

Name: 	 	%{name}
Summary: 	C++ drivers and widgets useful for radio broadcasting
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.salemradiolabs.com/soundpanel/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libalsa-devel libqt3-devel

%description
This is the libradio library.  It aims to provide a variety of C++ drivers
and widgets useful for applications addressing needs in the field of
Radio Broadcasting.

%package -n 	%{name}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C++

%description -n %{name}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure --enable-alsa
%make QTDIR=/usr/lib/qt3
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.a

%changelog
* Tue Apr 29 2003 Austin Acton <aacton@yorku.ca> 0.14.1-mdk
- initial package
